Loading...
Searching...
No Matches
irr::scene::IMetaTriangleSelector Class Referenceabstract

Interface for making multiple triangle selectors work as one big selector. More...

`#include <IMetaTriangleSelector.h>`

Inheritance diagram for irr::scene::IMetaTriangleSelector:

## Public Member Functions

virtual void | addTriangleSelector (ITriangleSelector *toAdd)=0
| Adds a triangle selector to the collection of triangle selectors.
virtual void | removeAllTriangleSelectors ()=0
| Removes all triangle selectors from the collection.
virtual bool | removeTriangleSelector (ITriangleSelector *toRemove)=0
| Removes a specific triangle selector from the collection.
Public Member Functions inherited from irr::scene::ITriangleSelector
virtual ISceneNode * | getSceneNodeForTriangle (u32 triangleIndex) const =0
| Get scene node associated with a given triangle.
virtual const ITriangleSelector * | getSelector (u32 index) const =0
| Get TriangleSelector based on index based on getSelectorCount.
virtual ITriangleSelector * | getSelector (u32 index)=0
| Get TriangleSelector based on index based on getSelectorCount.
virtual u32 | getSelectorCount () const =0
| Get number of TriangleSelectors that are part of this one.
virtual s32 | getTriangleCount () const =0
| Get amount of all available triangles in this selector.
virtual void | getTriangles (core::triangle3df *triangles, s32 arraySize, s32 &outTriangleCount, const core::aabbox3d< f32 > &box, const core::matrix4 *transform=0) const =0
| Gets the triangles for one associated node which may lie within a specific bounding box.
virtual void | getTriangles (core::triangle3df *triangles, s32 arraySize, s32 &outTriangleCount, const core::line3d< f32 > &line, const core::matrix4 *transform=0) const =0
| Gets the triangles for one associated node which have or may have contact with a 3d line.
virtual void | getTriangles (core::triangle3df *triangles, s32 arraySize, s32 &outTriangleCount, const core::matrix4 *transform=0) const =0
| Gets the triangles for one associated node.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for making multiple triangle selectors work as one big selector.

This is nothing more than a collection of one or more triangle selectors providing together the interface of one triangle selector. In this way, collision tests can be done with different triangle soups in one pass.

Definition at line 20 of file IMetaTriangleSelector.h.

## Member Function Documentation

## addTriangleSelector()

virtual void irr::scene::IMetaTriangleSelector::addTriangleSelector | ( | ITriangleSelector * | toAdd | ) |

pure virtual

Adds a triangle selector to the collection of triangle selectors.

Parameters

  toAdd | Pointer to an triangle selector to add to the list.

## removeAllTriangleSelectors()

virtual void irr::scene::IMetaTriangleSelector::removeAllTriangleSelectors | ( |  | ) |

pure virtual

Removes all triangle selectors from the collection.

## removeTriangleSelector()

virtual bool irr::scene::IMetaTriangleSelector::removeTriangleSelector | ( | ITriangleSelector * | toRemove | ) |

pure virtual

Removes a specific triangle selector from the collection.

Parameters

  toRemove | Pointer to an triangle selector which is in the list but will be removed.

Returns
  True if successful, false if not.

The documentation for this class was generated from the following file:

- IMetaTriangleSelector.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0